/*
 * Created on October 2nd 2023
 *
 * Copyright (C) 2023 Welltested AI - All Rights Reserved
 * The code in this file is Intellectutal Property of Welltested AI.
 * and can't be edited, redistributed or used without a valid license of it's product (Welltested)[https://welltested.ai]
 */

class UserInfo {
  String firstName;
  String lastName;
  String mailId;
  int testGenerated;
  int testVerified;

  UserInfo(
      {required this.firstName,
      required this.lastName,
      required this.mailId,
      required this.testGenerated,
      required this.testVerified});

  factory UserInfo.fromJson(Map<String, dynamic> json) {
    return UserInfo(
        firstName: json['first_name'] as String,
        lastName: json['last_name'] as String,
        mailId: json['mail_id'] as String,
        testGenerated: json['tests_generated'] as int,
        testVerified: json['tests_verified'] as int);
  }
}
