/*
 * Created on October 2nd 2023
 *
 * Copyright (C) 2023 Welltested AI - All Rights Reserved
 * The code in this file is Intellectutal Property of Welltested AI.
 * and can't be edited, redistributed or used without a valid license of it's product (Welltested)[https://welltested.ai]
 */

class SessionResult {
  String? command;
  String? info;
  Map<String, String>? additionalInfo;

  SessionResult(
      {required this.info, required this.command, this.additionalInfo});

  factory SessionResult.fromJson(Map<String, dynamic> json) {
    return SessionResult(
        info: json['info'],
        command: json['command'],
        additionalInfo: json['additional_info']);
  }
}
